<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Компонент панель с заголовком."
	description="Содержит представления различных графических компонентов."
	fileName="NPCFaceTitledPanel.jar" className="org.mati.npc.faces.NPCFaceTitledPanel"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Визуальные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InGetComponent"
		description="Связь с компонентом контейнером."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutGetComponent"
		description="Связь с компонетом представления."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--ATTRIBUTES BEGIN-->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)."
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth"
		description="Ширина панели с заголовком." type="java.lang.Integer"
		defaultValue="20"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight"
		description="Высота панели с заголовком." type="java.lang.Integer"
		defaultValue="20"
		nullable="false">
	</Attribute>
	
	<Attribute name="BackgroundColor" description="Цвет фона."
		defaultValue="16777215"
		type="java.awt.Color" nullable="false">
	</Attribute>
	
	<Attribute name="PaintBorder" description="Отображать рамку."
		defaultValue="false"
		type="java.lang.Boolean" nullable="false">
	</Attribute>
	
	
	<Attribute name="BorderColor" description="Цвет рамки."
		defaultValue="0"
		type="java.awt.Color" nullable="false">
	</Attribute>
	
	
	<Attribute name="Text" description="Текст заголовка панели."
		defaultValue="Текст заголовка панели."
		type="java.lang.String" nullable="false">
	</Attribute>
	
	
	
	<!--ATTRIBUTES END-->

</ClassComponent>
